- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Evas_Cache2_Image_Func Struct Reference

## Data Fields
int(* | surface_alloc )(Image_Entry *im, unsigned int w, unsigned int h)
void(* | surface_delete )(Image_Entry *im)
DATA32 *(* | surface_pixels )(Image_Entry *im)
void(* | dirty_region )(Image_Entry *im, unsigned int x, unsigned int y, unsigned int w, unsigned int h)
int(* | dirty )(Image_Entry *dst, const Image_Entry *src)
int(* | size_set )(Image_Entry *dst, const Image_Entry *src, unsigned int w, unsigned int h)
int(* | copied_data )(Image_Entry *dst, unsigned int w, unsigned int h, DATA32 *image_data, int alpha, int cspace)
int(* | data )(Image_Entry *dst, unsigned int w, unsigned int h, DATA32 *image_data, int alpha, int cspace)
int(* | color_space )(Image_Entry *dst, int cspace)
int(* | mem_size_get )(Image_Entry *im)
void(* | debug )(const char *context, Image_Entry *im)